//**********************************************************************//
//
//	fueldump_reverse.shader for map fueldump_reverse. Shader based on Tutorial by Sock
//	Website : http://www.planetquake.com/simland/
//	Thank you very much Sock for the blending Tut and the shader file.
//	shader made by Teuthis; December 2020
//**********************************************************************//
//
// ======================================================================
// DotProduct2 Terrain blending
// ======================================================================

//*********************************
//********poles for blending*******
//*********************************

textures/fueldump_reverse/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/fueldump_reverse/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/fueldump_reverse/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/fueldump_reverse/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/fueldump_reverse/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/fueldump_reverse/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

//*****************************
//********blend textures*******
//*****************************

// ======================================================================
// this was only for testing purposes to see whether the shader is working
// ======================================================================
textures/fueldump_reverse/oasis_wall16
{
	qer_editorimage textures/fueldump_reverse/oasis_wall16.tga
	
	q3map_nonplanar
	q3map_shadeAngle 60
	surfaceparm snowsteps
	surfaceparm landmine 
	
	{
		// Primary
		map textures/egypt_walls_sd/stucco04.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/egypt_walls_sd/stucco02_rough.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
		map $lightmap		//for phong
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		map $lightmap		//for phong
	}
}

// ======================================================================
// here we start with the blending that matters for the map
// =====================================================================


textures/fueldump_reverse/fr_1_m 		
{
	qer_editorimage textures/fueldump_reverse/fr_1_m.tga		//with mining allowed
	
	q3map_nonplanar
	q3map_shadeAngle 60
	surfaceparm snowsteps
	surfaceparm landmine

	{
		// Primary
		map textures/fueldump_reverse/mxrock3h_snow.tga			// Primary
		rgbGen identity
	}
	{
	
		map textures/fueldump_reverse/mxsnow2.tga			// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/fueldump_reverse/fr_1_nm 		
{
	qer_editorimage textures/fueldump_reverse/fr_1_nm.tga		//no mining allowed
	
	q3map_nonplanar
	q3map_shadeAngle 60
	surfaceparm snowsteps

	{
		// Primary
		map textures/fueldump_reverse/mxrock3h_snow.tga			// Primary
		rgbGen identity
	}
	{
	
		map textures/fueldump_reverse/mxsnow2.tga			// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/fueldump_reverse/fr_2 		
{
	qer_editorimage textures/fueldump_reverse/fr_2.tga	//mining allowed		
	
	q3map_nonplanar
	q3map_shadeAngle 60
	surfaceparm snowsteps
	surfaceparm landmine

	{
		// Primary
		map textures/fueldump_reverse/mxrock4b_snow.tga			// Primary
		rgbGen identity
	}
	{
	
		map textures/fueldump_reverse/mxsnow2.tga			// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/fueldump_reverse/fr_3 		
{
	qer_editorimage textures/fueldump_reverse/fr_3.tga				
	
	q3map_nonplanar
	q3map_shadeAngle 60

	{
		// Primary
		map textures/fueldump_reverse/mxrock3_a.tga			// Primary
		rgbGen identity
	}
	{
	
		map textures/fueldump_reverse/mxsnow2.tga			// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

